Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.cxf.support
Class MuleHeadersInInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.mule.transport.cxf.support.MuleHeadersInInterceptor

All Implemented Interfaces:
  org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class MuleHeadersInInterceptor

extends org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>

Reads the Mule Soap Header and sets the various header properties on the message.

Field Summary
`protected static QName` | `MULE_HEADER_Q`
`protected static String` | `MULE_NS_PREFIX`
`protected static String` | `MULE_NS_URI`
`protected static String` | `MULE_XMLNS`
`protected static String` | `QUALIFIED_MULE_HEADER`
`protected static Set<String>` | `SUPPORTED_HEADERS`
`protected static Set<QName>` | `UNDERSTOOD_HEADERS`

Constructor Summary
`MuleHeadersInInterceptor()`

Method Summary
`Set<QName>` | `getUnderstoodHeaders()`
`void` | `handleMessage(org.apache.cxf.message.Message m)`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_NS_URI

    protected static final String MULE_NS_URI

See Also:
  Constant Field Values

### MULE_NS_PREFIX

    protected static final String MULE_NS_PREFIX

See Also:
  Constant Field Values

### MULE_XMLNS

    protected static final String MULE_XMLNS

See Also:
  Constant Field Values

### QUALIFIED_MULE_HEADER

    protected static final String QUALIFIED_MULE_HEADER

See Also:
  Constant Field Values

### MULE_HEADER_Q

    protected static final QName MULE_HEADER_Q

### UNDERSTOOD_HEADERS

    protected static final Set<QName> UNDERSTOOD_HEADERS

### SUPPORTED_HEADERS

    protected static final Set<String> SUPPORTED_HEADERS

Constructor Detail

### MuleHeadersInInterceptor

    public MuleHeadersInInterceptor()

Method Detail

### handleMessage

    public void handleMessage(org.apache.cxf.message.Message m)
                       throws org.apache.cxf.interceptor.Fault

  Throws:
    `org.apache.cxf.interceptor.Fault`

### getUnderstoodHeaders

    public Set<QName> getUnderstoodHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.